Subject: Re: bug#69478: 30.0.50; Emacs dies after scrolling in eww

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Mar 2024 09:11:42 +0200

> From: Po Lu <[email-masked]>
> Cc: Alexander Prähauser <[email-masked]>,
>   [email-masked]
> Date: Fri, 01 Mar 2024 09:48:49 +0800
> 
> This is a BadMatch error triggered by copying between incompatible
> drawables with a CopyArea request, which isn't possible in most of our
> callers.  The crash's circumstances suggest that an image is being
> created and subsequently copied with incompatible parameters, but to
> establish which image that is Emacs must be started as follows:
> 
>   ./emacs -xrm 'Emacs.synchronous: true'
> 
> so that X errors are reported immediately upon the offending requests
> being issued.

Should the above be run from the shell prompt or from GDB?  If the
former, how would we determine which image causes this?